Social Profile Analysis
Read a Social Profile Analysis job
Read the persisted job envelope for one Social Profile Analysis run. When complete, `result.match.matchedRecords` and `result.items` contain the reque
GET
/v1/social-profile-analysis/jobs/{job_id}Requires X-API-Key or Authorization: Bearer with a provisioned API key.
Read the persisted job envelope for one Social Profile Analysis run. When complete, result.match.matchedRecords and result.items contain the requested matched-record page.
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
job_id | path | string | Yes | — |
limit | query | integer | No | — |
cursor | query | string or null | No | — |
Responses
200
Persisted job state with an optional paginated Social Profile Analysis result.
| Field | Type | Required | Description |
|---|---|---|---|
capability | Capability | Yes | — |
completedAt | string or null | No | Completedat |
error | ApiError or null | No | — |
expiresAt | string or null | No | Expiresat |
jobId | string | Yes | Jobid |
progress | JobProgress or null | No | — |
result | SocialProfileAnalysisResult or null | No | — |
resultUrl | string or null | No | Resulturl |
startedAt | string or null | No | Startedat |
status | JobStatus | Yes | — |
streamUrl | string or null | No | Streamurl |
submittedAt | string | Yes | Submittedat |
summary | JobSummary or null | No | — |
warnings | array<ApiWarning> | No | Warnings |
422
Validation Error
| Field | Type | Required | Description |
|---|---|---|---|
detail | array<ValidationError> | No | Detail |
OpenAPI
Download the full OpenAPI contract from /openapi.yaml.